#include <math.h>
#define STB_SPRINTF_IMPLEMENTATION

#include <Orange/Core/Log.h>
#include <stdio.h>

namespace orange::log
{
    static constexpr uint32_t MaxLoggingLength = 2048;

    void log(LogLevel level, const char* fmt, ...)
    {
        (void)level;
        char buf[MaxLoggingLength];

        va_list va;
        va_start(va, fmt);
        stbsp_vsnprintf(buf, sizeof(buf), fmt, va);
        va_end(va);

        //if (level <= LogLevels::Error)
        //    fputs(buf, stderr);
        //else
        //    fputs(buf, stdout);
        puts(buf);
    }
}

